module form_sparse
  integer :: n1,n2,n3
  real :: o1,o2,o3
  real :: d1,d2,d3
   
  
  contains 

   subroutine sparse_init(n,o,d)
     integer :: n(3)
     real :: o(3)
     real :: d(3)

    n1=n(1); o1=o(1); d1=d(1)
    n2=n(2); o2=o(2); d2=d(2)
    n3=n(3); o3=o(3); d3=d(3)
  end subroutine


  subroutine form_mat(rays,iray,locs,vals,npts)
    real :: rays(:,:)
   



  end subroutine




end module



